summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorngie <ngie@FreeBSD.org>2015-11-25 01:14:00 +0000
committerngie <ngie@FreeBSD.org>2015-11-25 01:14:00 +0000
commitcfb3e257cd18a318cb4b2cc6b07b8c3dac1ee37c (patch)
treed58f69a7236d428c46ed7859b3b47990982444c6
parentdaabb59685c0d31c648f6b7a9b0a9f50e7144999 (diff)
downloadFreeBSD-src-cfb3e257cd18a318cb4b2cc6b07b8c3dac1ee37c.zip
FreeBSD-src-cfb3e257cd18a318cb4b2cc6b07b8c3dac1ee37c.tar.gz
Add conf.sh for creating a mountpoint, unmounting the mountpoint and cleaning up any temporary md devices
-rwxr-xr-xsbin/geom/class/tests/uzip/conf.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/sbin/geom/class/tests/uzip/conf.sh b/sbin/geom/class/tests/uzip/conf.sh
new file mode 100755
index 0000000..a0204d6
--- /dev/null
+++ b/sbin/geom/class/tests/uzip/conf.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# $FreeBSD$
+
+class="uzip"
+base=`basename $0`
+mntpoint=$(mktemp -d $TMPDIR/tmp.XXXXXX) || exit
+
+uzip_test_cleanup()
+{
+ umount $mntpoint
+ rmdir $mntpoint
+ geom_test_cleanup
+}
+trap uzip_test_cleanup ABRT EXIT INT TERM
+
+. `dirname $0`/../geom_subr.sh
OpenPOWER on IntegriCloud